Activity {
	include basic;
  include supplyPower;
	include drive;
	include requestTakeOverByDr;
	successor driveAtL1Generic; 
	# deny jump to an arbitray situation in "driveAtL1", hence, successor commented:
	# successor "driveAtL1";
}

ControlLoop myRoboCar {
  Ctr hasFunction (fDrive, fReachAvoid, fEmergBrake, fAirbag)
    poweredBy (Bat, Pwr); 
	reachAvoid 
    partOf Ctr;
	Camera
    partOf Ve
    role SENSOR;
}

FactorModel {
  E causes (rA);
	rA alias reachAvoidFailure
		requires (E)
		preventsMit (nC)
		mitigatedBy (FALLBACK) # .Dr
		offRepair;
	nC mitigatedBy (PREVENT, PREVENT); # .reachAvoid, .Dr
}
