Settings {
  suppressMishaps=false;
}
 
Activity {}

ControlLoop supplyPower {
  mode pwrFailure embodiedBy Pwr;
  mode switchToBat embodiedBy Bat;

  Ve alias Vehicle;
	Pwr alias PrimaryEnergySource
		partOf Ve;
	Bat alias Battery
		partOf Ve;
	Ctr poweredBy (Pwr,Bat);
}

FactorModel {
	F	alias lowOrNo_Fuel
		offRepair
    sev=[5..10];
	E alias lowOrNo_Energy
    activatedBy (FAIL.pwrFailure)
	 	mitigatedBy (FALLBACK.switchToBat)
		offRepair
    sev=[1..6];
  B	alias lowOrNo_Battery
		requires (E)
    sev=[2..7];
}
