// DFRT view of an OR guard: $e^G$ <= previously OR(A,B)
ControlLoop myCtr {
  mode x type FAIL_SAFE;
}

FactorModel {
  G requiresNOf(1|A,B) mishap;		// original OR guard
  B direct;                             // apply simple phase model
  A mitigatedBy(FAIL_SAFE.x) direct;	// refine abstract mitigation
  G excludes(A,B); 			// to ignore further analysis
}

Settings {
  suppressMishaps=true;                 // switch off mishap analysis
  suppressMitigations=false;		// enable mitigation analysis
  graphDirection=LR;
}
