// POR (priority OR) guard with 2 factors:
// $e^G$ => previously OR(A,B) and if A occurred, it did so before B
FactorModel for por {
  G requiresNOf(1|A,B); // mishap; 
  B prevents(A);
  /* B excludes(A); */
  /* G prevents(A,B); */
  G permits(A); // only for permissive variant
}

Settings {
  suppressMishaps=true;
  suppressMitigations=true;
}
