Activity {
  include drive;
}

ControlLoop myRoboCar {
  Dr alias driver
		role CONTROLLER
    partOf Ve;
  Seatbelt 
		partOf Ve;
	Warn
		partOf Ctr;
	Wiper
		partOf Ve;
	emgyStop
		partOf Ctr;
}

FactorModel {
	# causal factor D:
	# an abstraction of factors such as, e.g. drunk driving
  D alias dumbDriving
    activatedBy (MISUSE) # .Dr
    causes (nC)
    mitigatedBy (ALLEVIATE); # .Seatbelt
  nC mitigatedBy (PREVENT)
    requiresNOf (1|O,D)
    ; # .Dr
	W	mitigatedBy (PREVENT, PREVENT); #.Wiper, .Dr
	C prevents (D)
		mitigatedBy (ALLEVIATE); # .Seatbelt
	F mitigatedBy (DO_MAINTENANCE); # .Dr
	oL alias driverOutOfLoop
		mitigatedBy (CHECK_VIGILANCE) # .Warn
		direct;
	I alias inattentiveDriver
		activatedBy (MISUSE) # .Dr
		requires (oL)
		excludes (oL)
		mitigatedBy (SHUTDOWN); # .emgyStop
}
