/* cold-spare guard: 1 primary unit, 2 cold spares */
FactorModel {
  O desc "CSP gate output"
    requires(B) final;
  P desc "primary unit fails";
  A desc "alternate unit 1 fails"
    requiresOcc(P) preventsMit(P); // cold spares do not fail if primary units are operational
  B desc "alternate unit 2 fails"
    requiresOcc(A) preventsMit(A) final;
}

Settings {
  suppressResumptions=true;
  graphDirection=LR;
}

