// Fun-Dep guard: $e^O$ => previously OR(T,AND(D1,D2))
FactorModel {
  O desc "non-dependent output event"
    requires (D1,D2)
    excludes (T);
  D1 desc "dependent event 1";
  D2 desc "dependent event 2";
  T desc "trigger event"
    causes (D1,D2);
}

Settings {
  suppressMishaps=true;
  suppressMitigations=true;
  graphDirection=BT;
}
