// PAND guard with 2 factors: $e^G$ => previously AND(A,B) and A occured before B
FactorModel for prioand_permissive {
  G requires (h,B);  // gate event
  h requires (A);    // activation signifies A before B
  B prevents (h);      // basic event
  A causes (h);      // basic event 
}

Settings {
  suppressMishaps=true;
  suppressMitigations=true;
}
