dtmc

evolve double alarmIntensity1 [0.05 .. 0.95];
evolve double alarmIntensity2 [0.05 .. 0.95];
// const double alarmIntensity1 = 0.5; // ExitPlant
// const double alarmIntensity2 = 0.5; // withDrawArm, grabRightWorkPiece
const int T = 50; // 50, 100; model execution period 

//<%YAP#TYPES%>
//<%YAP,#EVOLVABLES_FIX%>
//<%YAP#EVOLVABLES_DPS%>
//<%YAP,#PREDICATES%>

// spatial locations
const int atTable = 0; const int sharedTbl = 1; const int inCell = 2; const int atWeldSpot = 3;
// range finder signals
const int far = 0; const int near = 1; const int close = 2;
// notification signals
const int ok = 0; const int leaveArea = 1; const int resetCtr = 2;
// workpiece support states
const int empty = 0; const int left = 1; const int right = 2; const int both = 3;

module WorkCell
//<%YAP#MAINMODULEHOOK%>
// physical plant state
rloc: 		[0..3] 	init 2; // robot location
hloc: 		[0..3] 	init 0; // operator location
reffocc: 	[0..1] 	init 0; // end-effector status
wps: 		  [0..3] 	init 0; // workpiece support status
wpfin: 		[0..1] 	init 0; // workpiece status
// task state
mntDone: 	[0..1] 	init 0; // maintenance task status
// operator mental state
dntFlg:   [0..2]  init 0; // operator action intent
// safety sensors
lgtBar: 	[0..1] 	init 0; // lightbar status
rngDet: 	[0..2] 	init 0; // range finder status
// safety-related effectors
notif: [0..2] init 0;
notif_leaveWrkb: [0..1] init 0;

//<%YAP#GUARDEDCOMMANDS%>
endmodule

////////////////////////////////////////////////////////////////////////////////
// Reward structures
//<%YAP#REWARDS%>
